Toggle scheduler looping
PUT
https://octopus.livepush.io/streams/{stream_id}/config/scheduler/loop
Base URL https://octopus.livepush.io — Core Streams & Media APIs
Enables or disables looping for the scheduler playlist.
When enabled, the playlist will repeat indefinitely, allowing continuous 24/7 pre-recorded live streaming.
Authorization
Send a valid access token in the Authorization header.
bearerAuth— Bearer token (JWT)
Authorization: Bearer YOUR_API_TOKEN
Try it
Loading the request builder…
PUT
https://octopus.livepush.io/streams/{stream_id}/config/scheduler/loop
— This call changes live data on your account.
Parameters
Path parameters
-
stream_idstring requiredUnique identifier of the pre-recorded live stream
Request body
-
enabledboolean requiredWhether playlist looping is enabled
{
"enabled": false
}
Code samples
curl -X PUT 'https://octopus.livepush.io/streams/<stream_id>/config/scheduler/loop' \
-H 'Authorization: Bearer YOUR_API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"enabled": false
}'
const response = await fetch('https://octopus.livepush.io/streams/<stream_id>/config/scheduler/loop', {
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"enabled": false
}),
});
if (!response.ok) {
throw new Error(`Livepush API error ${response.status}`);
}
const data = await response.json();
import requests
headers = {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json',
}
payload = {
"enabled": False
}
response = requests.put('https://octopus.livepush.io/streams/<stream_id>/config/scheduler/loop', headers=headers, json=payload, timeout=30)
response.raise_for_status()
data = response.json()
Responses
Scheduler looping configuration updated
Unauthorized
Stream not found